# Created by pyp2rpm-3.3.7
%global pypi_name casttube

Name:           python-%{pypi_name}
Version:        0.2.1
Release:        %mkrel 4
Summary:        YouTube chromecast api
Group:          Development/Python
License:        MIT
URL:            https://github.com/ur1katz/casttube
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
CastTube provides a way to interact with the Youtube Chromecast api.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
CastTube provides a way to interact with the Youtube Chromecast api.


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

rm -rf %{buildroot}%{_prefix}/LICENSE

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.2.1-4.mga10
+ Revision: 2237934
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 daviddavid <daviddavid> 0.2.1-3.mga10
+ Revision: 2154105
- rebuild for python 3.13

* Mon Dec 18 2023 daviddavid <daviddavid> 0.2.1-2.mga10
+ Revision: 2018911
- rebuild for py 3.12
- switch to pyproject

* Sat May 14 2022 wally <wally> 0.2.1-1.mga9
+ Revision: 1858081
- imported package python-casttube

